<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####


include_once("auth.php");



## mysql verbindung aufbauen

db_connect($db_host, $db_user, $db_pass);

## /mysql verbindung aufbauen



## liste freier ips holen

if ( !isset($pns) || !isset($sns) ){
  $id = db_query("select pns, sns from anbieter where anbieter = '$anbieter'");

  $werte = db_fetch_array($id);

  $pns = $werte["pns"];
  $sns = $werte["sns"];

  if ( $pns == "" ){
    $id = db_query("select hostname from admin");
    $werte = db_fetch_array($id);
    $pns = $werte["hostname"];
  }

  if ( $sns == "" ){
    $id = db_query("select hostname from admin");
    $werte = db_fetch_array($id);
    $sns = $werte["hostname"];
  }
}



$id = db_query("select ip_pns,ip_sns  from admin");

$werte = db_fetch_array($id);

$ip_pns = $werte["ip_pns"];
$ip_sns = $werte["ip_sns"];

?>

<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<script>
<?
echo js_f_call_help('dnshelp_title1', 'dnshelp_descr1');
?>
</script>

  <TR>

    <td class="titel-3" >
      <form method="post" action="anbieter_aendern_dns2.php">

              <? echo ltext("anaeip_cell_description"); ?>

              </td>

            <td class="titel-3" >
              <? echo ltext("anaeip_cell_input"); ?>
              </td>

          </tr>
          <tr >

            <td ><? echo ltext("eidntpdoae_title5"); ?><br>(<?echo $ip_pns;?>)</td>

            <td  ><input type="text" name="pns" value="<? echo $pns; ?>"></td>

          </tr>

          <tr >

            <td ><? echo ltext("eidntpdoae_title6"); ?><br>(<?echo $ip_sns;?>)</td>

            <td  ><input type="text" name="sns" value="<? echo $sns; ?>"></td>

          </tr>

          <tr >

            <td colspan="2" align="center">

              <input type="checkbox" name="all" value="1" <? if($all) echo("checked"); ?> >

              <? echo ltext("eidntpdoae_title13"); ?>

            </td>

          </tr>

          <tr >

            <td colspan=2 align=center><? echo std_button(ltext('eidntpdoae_savedns'), "javascript:doChange()"); ?>
        <input type="hidden" name="anbieter" value="<? echo $anbieter; ?>">

      </form>

      </td>

  </TR>

</TABLE>

</BODY>

</HTML>



<?

db_close();

?>
